Bug 87042 - Show/hide rulers with Ctrl+Shift+R
Summary: Show/hide rulers with Ctrl+Shift+R
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: low normal
Assignee: mahfiaz
URL:
Whiteboard: target:4.4.0.0.beta3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-05 23:48 UTC by mahfiaz
Modified: 2014-12-20 22:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mahfiaz 2014-12-05 23:48:43 UTC
In a recent conference call with #libreoffice-design team it came up that if rulers are going to be hidden by default (something already being worked on), then we need an easy shortcut to toggle ruler's visibility.

Ctrl+R is often used to align text to right, so Ctrl+Shift+R it is.

Unfortunately Ctrl+Shift+R was used for redraw before, which would go now unbinded as something only developers would need. If you happen to use it regularly, please speak up, maybe something such as Ctrl+Shift+F5 would be just as good.
Comment 1 mahfiaz 2014-12-06 00:05:17 UTC
The patch is here: https://gerrit.libreoffice.org/#/c/13326/

It touches the following components:
DrawingDocument, GlobalDocument, PresentationDocument, WebDocument, FormDesign, TextReportDesign, TextDocument, XMLFormDocument
Comment 2 Yousuf Philips (jay) 2014-12-06 06:45:18 UTC
Hey mahfiaz,

Looked over your patch and think that as you have set it globally, you can remove all the module level entries for it. :D
Comment 3 mahfiaz 2014-12-06 07:48:12 UTC
Thanks to jphilipz's suggestion I also made a patch which adds the shortcut as global:
https://gerrit.libreoffice.org/#/c/13332/
Comment 4 Commit Notification 2014-12-08 14:49:33 UTC
Mattias Põldaru committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=27d006e512028cfbc8aae00c5409d873259297d2

fdo#87042 Add Ctrl+Shift+R as toggle for ruler

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-08 14:56:18 UTC
Mattias Põldaru committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a1571dcad2e656d5a5d9184ca138e58c0b73e182&h=libreoffice-4-4

fdo#87042 Add Ctrl+Shift+R as toggle for ruler

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Mike §chinagl 2014-12-20 22:54:09 UTC
This bug fix comes with LibreOffice 4.4 (release notes https://wiki.documentfoundation.org/ReleaseNotes/4.4) 

Rulers can be turned on or off by using the key combination Ctrl+⇧ Shift+R.